package com.peetz.comics.dal;

import java.util.List;

import javax.ejb.Local;

import com.peetz.comics.entity.ComicEntity;
import com.peetz.comics.entity.PublisherEntity;

@Local
public interface ComicDao {
	public ComicEntity getById(Long id);
	
	public List<ComicEntity> findByIds(List<Long> ids);
	
	public List<ComicEntity> findByTitle(String title);
	
	public ComicEntity assignPublisher(ComicEntity comic, PublisherEntity publisher);
	
	public ComicEntity store(ComicEntity entity);
	
	public void delete(ComicEntity entity);
}
